XmVaCreateArrowButtonGadget(library call)

NAME
XmVaCreateArrowButtonGadget, XmVaCreateManagedArrowButtonGadget — A ArrowButtonGadget widget convenience creation functions.

SYNOPSIS

#include <Xm/ArrowBG.h>

Widget XmVaCreateArrowButtonGadget(
Widget parent,
String name,
...);

Widget XmVaCreateManagedArrowButtonGadget(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ArrowButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateArrowButtonGadget function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedArrowButtonGadget function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of ArrowButtonGadget and its associated resources, see XmArrowButtonGadget(3).

RETURN

Returns the ArrowButtonGadget widget ID.

RELATED

XmArrowButtonGadget(3), XmCreateArrowButtonGadget(3), XtCreateWidget(3), and XtCreateManagedWidget(3).